×

Discussion Board

Page 1 of 2 12 LastLast
Results 1 to 15 of 30
  1. #1
    Registered User
    Join Date
    Nov 2006
    Posts
    27

    Application not Compatible with phone

    Hi to all,

    I create project for symbian using code warrior.
    In the creation I choose in the template screen Series60 APP and selected the Generate Platform Security Application ... option.

    after compilation its run fine on emulator but when I build it for the real phone and try to install it I get error Application not Compatible with phone.

    my phone is a Nokia N73 S60 v3.
    do some one have idea what is wrong and what I need to do to make it run on this phone?
    in the .pkg file its set to v3 phones and its look like the UID is ok

    Thanks,
    Segev

  2. #2
    Super Contributor
    Join Date
    May 2003
    Location
    Vancouver, Canada
    Posts
    985

    Re: Application not Compatible with phone

    You have to specify the following line in your .pkg file:

    ;Supports Series 60 v 3.0
    [0x101F7961], 0, 0, 0, {"Series60ProductID"}

    I think this issue has been discussed in this forum many times. You can just search for it?

    Antony

  3. #3
    Registered User
    Join Date
    Nov 2006
    Posts
    27

    Re: Application not Compatible with phone

    I have this line :)
    this is not the problem, but thanks for the effort.

    this is my .pkg file

    ; ProjectName.pkg
    ;
    ;Language - standard language definitions
    &EN

    ; standard SIS file header
    #{"ProjectName"},(0x060E00E8),1,0,0

    ;Supports Series 60 v 3.0
    (0x101F7961), 0, 0, 0, {"Series60ProductID"}

    ;Localized Vendor Name
    %{"My Test EN"}

    ;Unique Vendor name
    :"Vendor"

    ; Files to copy
    "C:\Symbian\9.2\S60_3rd_FP1\epoc32\release\gcce\urel\ProjectName.exe"-"!:\sys\bin\ProjectName.exe"
    "C:\Symbian\9.2\S60_3rd_FP1\epoc32\data\z\private\10003a3f\import\apps\ProjectName_reg.rsc"-"!:\private\10003a3f\import\apps\ProjectName_reg.rsc"
    "C:\Symbian\9.2\S60_3rd_FP1\epoc32\data\z\resource\apps\ProjectName_loc.Rsc"-"!:\resource\apps\ProjectName_loc.Rsc"
    "C:\Symbian\9.2\S60_3rd_FP1\epoc32\data\z\resource\apps\ProjectName.Rsc"-"!:\resource\apps\ProjectName.Rsc"
    Last edited by Segev; 2007-02-05 at 15:23.

  4. #4
    Super Contributor
    Join Date
    May 2003
    Location
    Vancouver, Canada
    Posts
    985

    Re: Application not Compatible with phone

    I think you have to change normal square ("(") to square bracket ("[").

    Antony

  5. #5
    Registered User
    Join Date
    Nov 2006
    Posts
    27

    Re: Application not Compatible with phone

    its solve the old error msg and got a new one :)
    Unable to install a protected application from untrusted supplier

    and I don't use any thing that need capebilitis

    Thanks

  6. #6
    Super Contributor
    Join Date
    May 2003
    Location
    Vancouver, Canada
    Posts
    985

    Re: Application not Compatible with phone

    Have you signed your .sis file? It looks like you haven't signed it.

    I have written a blog posting on Forum Nokia Blogs about many different error messages related to signing, http://blogs.forum.nokia.com/view_entry.html?id=93

    Antony

  7. #7
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,693

    Re: Application not Compatible with phone

    Quote Originally Posted by Segev
    Unable to install a protected application from untrusted supplier
    You are using an UID from the protected (0x00000000-0x7FFFFFFF) range. Unfortunately I cannot find the UID FAQ since the Symbian site is always becoming more lame and useless, but you should choose from the upper (unprotected) range, especially from 0xExxxxxxx - these are the development UIDS.
    Edit: Signing is also a good idea as Antony says.

  8. #8
    Registered User
    Join Date
    Nov 2006
    Posts
    27

    Re: Application not Compatible with phone

    Thanks, i will try to find one.

    and yes I signed it :)

    more then that i just created a new applicetion from the code warrior and the .PKG come with the "(" and not the "[" so I fix it and then I get the error msg about the security, and the code is the code that was generated by the code warrior.

    its look like the have lots of problem with there development tools

    thanks for the great help.

  9. #9
    Registered User
    Join Date
    Nov 2006
    Posts
    27

    Re: Application not Compatible with phone

    I found the rang and set it up and its work good thanks, but now the first error msg come back "Application not Compatible with phone. Continue anyway?"
    with "(" or "[".

    I select yes and it install it and work fine.
    but I dont know why I get this msg.

    its a new build project with code warrior and done with the Symbian Project Wizard.

    Thanks,
    Segev

  10. #10
    Registered User
    Join Date
    Nov 2006
    Posts
    27

    Re: Application not Compatible with phone

    Solved thaks again

  11. #11
    Regular Contributor
    Join Date
    Nov 2008
    Posts
    134

    Re: Application not Compatible with phone

    Quote Originally Posted by Segev View Post
    Solved thaks again

    Hi,
    Can you please tell how you solved this problem? I too get the same error regarding "non compatibility with phone" on N73 and when I continue it gives the error you mentioned redarding "cant install protected application from untrusted.."

    Please let me know.

    Thanx.

  12. #12
    Super Contributor
    Join Date
    Oct 2007
    Location
    જુનાગઢ - India
    Posts
    3,034

    Re: Application not Compatible with phone

    Quote Originally Posted by sanah007 View Post
    Can you please tell how you solved this problem? I too get the same error regarding "non compatibility with phone" on N73 and when I continue it gives the error you mentioned redarding "cant install protected application from untrusted..".
    Can you give some more details about SDK ?? Also show your .pkg file.

  13. #13
    Nokia Developer Moderator
    Join Date
    Oct 2006
    Location
    Finland
    Posts
    4,546

    Re: Application not Compatible with phone

    Quote Originally Posted by sanah007 View Post
    Hi,
    Can you please tell how you solved this problem? I too get the same error regarding "non compatibility with phone" on N73 and when I continue it gives the error you mentioned redarding "cant install protected application from untrusted.."

    Please let me know.

    Thanx.
    Check http://mobile.antonypranata.com/2006...0-3rd-edition/ for installation errors and their root cause.

  14. #14
    Nokia Developer Moderator
    Join Date
    Oct 2006
    Location
    Finland
    Posts
    4,546

    Re: Application not Compatible with phone

    Quote Originally Posted by sanah007 View Post
    Hi,
    Can you please tell how you solved this problem? I too get the same error regarding "non compatibility with phone" on N73 and when I continue it gives the error you mentioned redarding "cant install protected application from untrusted.."

    Please let me know.

    Thanx.
    Also hope you are building using right SDK (S60 3rd Edition (initial release)). Check http://www.forum.nokia.com/devices/N73 for details.

  15. #15
    Regular Contributor
    Join Date
    Nov 2008
    Posts
    134

    Re: Application not Compatible with phone

    Hi, thanks for the reply.

    Actually i had ported the application from 2nd edition FP2 to 3rd Edition FP1 SDk using the porting guide availabe on the Nokia site. The application builds successfully and runs uptil a certain point after which it requires testing on phone as the application is similar to an answerign machine and so to test it further it needs a call from another phone.
    It makes use of no capabilities and i built it with self signed sis and tried to install the .sisx on N73 but it gave the error as" unable to install protected application from untrusted supplier".

    My .PKG file is as below:


    ; Installation file for AnswerSecond application
    ;
    ; This is an auto-generated PKG file by Carbide.
    ; This file uses variables specific to Carbide builds that will not work
    ; on command-line builds. If you want to use this generated PKG file from the
    ; command-line tools you will need to modify the variables with the appropriate
    ; values: $(EPOCROOT), $(PLATFORM), $(TARGET)
    ;
    ;Languages
    &EN
    ;
    ; standard SIS file header
    #{"AnswerSecond"},(0x05E44343),1,0,0

    ;Localised Vendor name
    %{"Vendor-EN"}

    ;Unique Vendor name
    :"Vendor"

    ;Supports Series 60 v 3.0
    [0x101F7961], 0, 0, 0, {"Series60ProductID"}



    ; Files to install
    ; Symbols set up for the source location are Carbide.c++ specific symbols
    "C:\Symbian\9.2\S60_3rd_FP1_3\Epoc32\release\gcce\UREL\AnswerSecond.exe" -"!:\system\bin\AnswerSecond\AnswerSecond.exe"
    "C:\Symbian\9.2\S60_3rd_FP1_3\Epoc32\data\z\resource\apps\AnswerSecond.rsc"-"!:\resource\apps\AnswerSecond\AnswerSecond.rsc"
    "C:\Symbian\9.2\S60_3rd_FP1_3\Epoc32\data\z\resource\apps\AnswerSecond_caption.rsc" -"!:\resource\apps\AnswerSecond\AnswerSecond_caption.rsc"
    "C:\Symbian\9.2\S60_3rd_FP1_3\Epoc32\data\z\private\10003a3f\apps\AnswerSecond_reg.rsc" -"!:\private\10003a3f\import\apps\AnswerSecond_reg.rsc"
    "C:\Symbian\9.2\S60_3rd_FP1_3\Epoc32\data\z\system\apps\AnswerSecond\AnswerSecond.aif" -"!:\system\apps\AnswerSecond\AnswerSecond.aif"

    "C:\Symbian\9.2\S60_3rd_FP1_3\Epoc32\data\z\resource\apps\AnswerImage.mif" -"!:\resource\apps\AnswerImage.mif"
    "C:\Symbian\9.2\S60_3rd_FP1_3\Epoc32\data\z\resource\apps\AnswerImage.mbm" -"!:\resource\apps\AnswerImage.mbm"

    "busy.wav"-"!:\system\apps\AnswerSecond\busy.wav"


    Can you point out where i could have gone wrong or what i can change?

    I also tried to upload it on the Symbian signed site but I am not able to upload it on the site since it says page not found.


    Thanx.

Similar Threads

  1. Nokia 6103 J2ME application crash - reboot phone
    By gpeschiera in forum Mobile Java General
    Replies: 6
    Last Post: 2007-01-10, 01:08
  2. Run Console Application on Phone
    By sliver33 in forum Symbian
    Replies: 9
    Last Post: 2006-10-27, 21:55
  3. Auto-run phone application using Timer
    By euglena9 in forum Mobile Java General
    Replies: 1
    Last Post: 2006-05-03, 14:36

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×